# BingMapsGeocoderService

#### new Cesium.BingMapsGeocoderService(options)
Core/BingMapsGeocoderService.js 29

Provides geocoding through Bing Maps.

Name | Type | Description
--- | --- | ---

`options`

Object

Object with the following properties:

Name | Type | Description
--- | --- | ---
`key` | String | optional A key to use with the Bing Maps geocoding service

### Members

#### readonlykey : String
Core/BingMapsGeocoderService.js 62

The key for the Bing geocoder service

#### readonlyurl : String
Core/BingMapsGeocoderService.js 50

The URL endpoint for the Bing geocoder service

### Methods

#### geocode(query) → Promise.<Array.<GeocoderService~Result>>
Core/BingMapsGeocoderService.js 75

Name | Type | Description
--- | --- | ---
`query` | String | The query to be sent to the geocoder service

##### Returns: